package com.fr.plugin.third.party.jsdbacbj.http;

import com.fr.decision.fun.impl.BaseHttpHandler;
import com.fr.json.JSONObject;
import com.fr.plugin.third.party.jsdbacbj.Utils;
import com.fr.third.springframework.web.bind.annotation.RequestMethod;
import com.fr.web.utils.WebUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 */
public class CustomConfigHttpHandler extends BaseHttpHandler {

    @Override
    public RequestMethod getMethod() {
        return RequestMethod.POST;
    }

    @Override
    public String getPath() {
        return "/jsdbacbj/oauth/config";
    }

    @Override
    public boolean isPublic() {
        return true;
    }

    @Override
    public void handle(HttpServletRequest req, HttpServletResponse res) throws Exception {
        res.setContentType("application/json; charset=utf-8");
        String logoutUrl = Utils.getLogoutUrl();
        String oAuthLoginUrl = Utils.getFullAuthorizeUrlWithState();
        JSONObject configJson = new JSONObject();
        configJson.put("logoutUrl", logoutUrl);
        configJson.put("oAuthLoginUrl", oAuthLoginUrl);
        WebUtils.printAsJSON(res, configJson);
    }


}
